/* roboto-regular - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/roboto-v32-latin-regular.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
    url('../fonts/roboto-v32-latin-regular.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}
/* roboto-500 - latin */
@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/roboto-v32-latin-500.woff2') format('woff2'), /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
    url('../fonts/roboto-v32-latin-500.ttf') format('truetype'); /* Chrome 4+, Firefox 3.5+, IE 9+, Safari 3.1+, iOS 4.2+, Android Browser 2.2+ */
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color: #f0f8f4;
}

.view {
    display: none;
    font-family: 'Roboto', sans-serif;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 2.2em 0;
}

@media (max-width: 600px) or (max-height: 600px) {
    .view {
        padding-top: 0;
    }
}

.view.active-view {
    display: flex;
}

.form-container {
    background-color: #ffffff;
    padding: 2rem;
    border-radius: 8px;
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
    max-width: 600px;
    width: 100%;
    text-align: center;
}

h1 {
    font-size: 1.8rem;
    color: #004b41;
}

h2, h3 {
    margin-top: 1em;
    margin-bottom: 0.5em;
}

p {
    font-size: 1rem;
    margin: 10px 0;
    color: #666;
}

.inputs {
    margin-top: 20px;
    display: flex;
    flex-direction: column;
    gap: 0.6em;
}

.file-label {
    display: block;
    background-color: #f1f3f5;
    padding: 1rem;
    border: 2px dashed #a0a0a0;
    border-radius: 8px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    margin-top: 0;
}

.file-label:hover {
    background-color: #e0e0e0;
}

.file-input {
    display: none;
}

#file-name {
    font-size: 0.9rem;
    color: #333;
}

label {
    font-weight: 500;
    color: #555;
    margin-top: 1em;
}

.inputs > label:first-child {
    margin-top: 0;
}

select, input {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    font-size: 1rem;
    width: 100%;
}

button {
    padding: 10px 20px;
    background-color: #004b41;
    color: white;
    border: none;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

button:hover {
    background-color: #002420;
}

button.secondary-button {
    background-color: #7b9f99;
}

details {
    border: 1px solid #aaa;
    border-radius: 4px;
    padding: 0.5em 0.5em 0;
}

summary {
    font-weight: bold;
    margin: -0.5em -0.5em 0;
    padding: 0.5em;
}

details[open] {
    padding: 0.5em;
}

details[open] summary {
    border-bottom: 1px solid #aaa;
    margin-bottom: 0.5em;
}

#results .form-container {
    max-width: 1200px;
}

#results #output {
    overflow-x: auto;
    margin-bottom: 1em;
}

#results table tr:nth-child(2n+1) td, #results table tr:nth-child(2n+1) th {
    background-color: #eee;
}

#error-box {
    background-color: #f39393;
    padding: 1em;
    border: 1px solid #8a0000;
}

#error-box.hidden {
    display: none;
}

.box {
    background-color: #f8faf9;
    padding: 1em 2em;
    border: 1px solid #c2dac0;
    text-align: left;
    color: #666;
}

ul, ol {
    margin-left: 1em;
    color: #666;
}

footer {
    text-align: right;
    color: #333333;
    font-family: 'Roboto', sans-serif;
    font-size: 0.85em;
    padding: 0.5em;
    margin-top: -2.2em;
}

footer a {
    color: #333333;
    display: inline-block;
}